Bug 1126077 - [RFE] Lenovo USB 3.0 External Display Boxes.
Summary: [RFE] Lenovo USB 3.0 External Display Boxes.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 19:29 UTC by Lincoln Rhoads
Modified: 2017-12-06 13:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 13:02:51 UTC


Attachments (Terms of Use)

Description Lincoln Rhoads 2014-08-01 19:29:41 UTC
Description of problem:  Lenovo Docking Station for Lenovo T4XX laptops or Lenovo USB 3.0 External Display Boxes do not display in Linux.
External Video Display Drivers for Lenovo laptops

Version-Release number of selected component (if applicable):
6.5

How reproducible:
Not able to see two external attached display devices either by docking station or USB 3.0 external display box for Lenovo laptops Thinkpad T4xx series.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Adam Jackson 2014-08-05 13:40:59 UTC
Please attach the output from lsusb with this dock connected.

Comment 3 Adam Jackson 2014-08-12 15:04:23 UTC
(In reply to Adam Jackson from comment #2)
> Please attach the output from lsusb with this dock connected.

Ping?  We need to know exactly which USB graphics device is in use here to be able to work on this.

If, as I suspect, it's a DisplayLink device, then this is perhaps something of a known issue; Linux currently has no driver for USB 3.0 DisplayLink devices at all, and DisplayLink refuses to provide the necessary programming information to enable them.

Comment 4 Lincoln Rhoads 2014-09-08 15:14:42 UTC
Adam:

Thank you for your response.

Neither 1) Lenovo Display Link, Thinkpad USB 3.0 Dock P/N 03X6059, or 2) Lenovo Thinkpad Mini Dock Plus Series 3 P/N 433830U work with a Lenovo Thinkpad T430 and RH Linux. 

Nothing seems to work for enabling up to three monitors. One internal laptop screen, and two external monitor screens like Microsoft Windows with extending the desktop screen display mode.

Linux also will not boot if NVIDIA graphics card is enabled Linux only works to leave set on Intel HD Graphics adapter.

Also disappointed that even running MS Windows KVM in RH it does not allow Windows to see or use the External Monitors as Hardware or USB 3.0 docking stations.

Really wanted to move to RH platform to replace Windows 7.x, but RH does not appear to support additional display devices and as a Enterprise customer we continue to wait and wait. Contact me via e-mail if Lenovo vendor is not providing information needed and I will knock on some doors for you.

Respectfully.

Comment 5 Tomas Pelka 2014-11-21 12:51:49 UTC
Lincoln,

we don't have any of those would you be able to test once fixed package is ready or can you provide a link where we can buy one of those?

Thanks
Tom

Comment 6 Dave Airlie 2015-05-21 04:27:53 UTC
Just to update DisplayLink has still not given us any indication of support for these devices on Linux. So Red Hat cannot support them.

Comment 8 Jan Kurik 2017-12-06 13:02:51 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.